Show / Hide Table of Contents

# AsyncControllerColliderHitTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncControllerColliderHitTrigger : AsyncTriggerBase<ControllerColliderHit>, IUniTaskAsyncEnumerable<ControllerColliderHit>

##### Inheritance

System.Object → AsyncTriggerBase<ControllerColliderHit> → AsyncControllerColliderHitTrigger

##### Implements

IUniTaskAsyncEnumerable<ControllerColliderHit>

### Members

#### Methods

Name | Description
--- | ---
GetOnControllerColliderHitAsyncHandler() |
GetOnControllerColliderHitAsyncHandler(CancellationToken) |
OnControllerColliderHitAsync() |
OnControllerColliderHitAsync(CancellationToken) |

### Methods

#### GetOnControllerColliderHitAsyncHandler()

    public IAsyncOnControllerColliderHitHandler GetOnControllerColliderHitAsyncHandler()

##### Returns

IAsyncOnControllerColliderHitHandler

#### GetOnControllerColliderHitAsyncHandler(CancellationToken)

    public IAsyncOnControllerColliderHitHandler GetOnControllerColliderHitAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

IAsyncOnControllerColliderHitHandler

#### OnControllerColliderHitAsync()

    public UniTask<ControllerColliderHit> OnControllerColliderHitAsync()

##### Returns

UniTask<ControllerColliderHit>

#### OnControllerColliderHitAsync(CancellationToken)

    public UniTask<ControllerColliderHit> OnControllerColliderHitAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

UniTask<ControllerColliderHit>

### Implements

IUniTaskAsyncEnumerable<T>